# /packages/room-reservation/www/reservation-cancel.tcl

ad_page_contract {

    Room Reservation

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-08-28
    @cvs-id $Id: reservation-approve.tcl,v 1.1 2005/10/18 23:32:35 alexk Exp $

} {
    reservation_id:integer,notnull
}

set user_id [auth::require_login]

# Check if user has permission to cancel this room
if {![room-reservation::reservations::owner_p -reservation_id $reservation_id -user_id $user_id]} {
    permission::require_permission -party_id $user_id -object_id $reservation_id -privilege "write"
}

room-reservation::reservations::approve -reservation_id $reservation_id

ad_returnredirect -message "You have approved this reservation" "../reservation-view?[export_url_vars reservation_id]"
