# /packages/room-reservation/www/admin/room-delete.tcl

ad_page_contract {
    
    Deletes a Room

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-08-28
    @cvs-id $Id: room-delete.tcl,v 1.2 2004/04/22 06:58:38 maltes Exp $

} {
    room_id:integer,notnull
    facility_id:integer,notnull
}

if { [catch { room-reservation::rooms::delete -room_id $room_id } errmsg] } {
    ad_return_error "[_ room-reservation.Delete_Error]" "[_ room-reservation.lt_This_room-reservation_1] <p><blockquote>$errmsg</blockquote>"

}

ad_returnredirect "facility-view?facility_id=$facility_id"
