# /packages/room-reservation/www/admin/room-view.tcl

ad_page_contract {
    
    Shows information about a Room

    @author Deds Castillo (deds@infiniteinfo.com)
    @creation-date 2002-08-28
    @cvs-id $Id: room-view.tcl,v 1.2 2004/04/22 06:58:38 maltes Exp $

} {
    room_id:integer,notnull
    {return_url "rooms"}
} -properties {
    title:onevalue
    context:onevalue
}

room-reservation::get_ui_params -facilities_pretty_name facilities_pretty_name -facilities_pretty_plural facilities_pretty_plural -rooms_pretty_name rooms_pretty_name -rooms_pretty_plural rooms_pretty_plural

set room_full_name [room-reservation::rooms::get_full_name -room_id $room_id] 
set facility_id [room-reservation::rooms::get_facility_id -room_id $room_id]
set facility_name [room-reservation::facilities::get_name -facility_id $facility_id]

set title "[_ room-reservation.room_full_name_Info]"
set context [list [list "facilities" $facilities_pretty_plural] [list "facility-view?facility_id=$facility_id" "$facility_name $rooms_pretty_plural"] $title]

room-reservation::rooms::get -room_id $room_id -array room_info

set return_url_2 [ad_urlencode "room-view?room_id=$room_id&return_url=$return_url"]
ad_return_template
